import { SettingRepository } from '@app/domain/settings/setting.repository';
import { UserSettings } from '@app/domain/settings/setting.model';

export class GetSettingsUseCase {
  constructor(private settingRepository: SettingRepository) {}

  execute(): UserSettings {
    return this.settingRepository.getSettings();
  }
}
